package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLAlterSystemSetConfigStatement extends SQLStatementImpl implements SQLAlterStatement {
   private List<SQLAssignItem> options = new ArrayList();

   public List<SQLAssignItem> getOptions() {
      return this.options;
   }

   public void addOption(SQLAssignItem item) {
      item.setParent(this);
      this.options.add(item);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.options);
      }

      visitor.endVisit(this);
   }
}
